package com.bocloud.cmp.model.hmc.sdk.common;

import com.alibaba.fastjson.JSON;
import com.bocloud.cmp.model.hmc.sdk.module.Password;
import com.bocloud.cmp.model.hmc.sdk.module.UserID;

/**
 * 登陆请求(XML对应的Java类)
 *
 * @author sxp
 * @since May 3, 2018
 */
public class LogonRequest {
    private String xmlns;
    private Metadata metadata;
    private UserID userId;
    private Password password;

    public String getXmlns() {
        return xmlns;
    }

    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public UserID getUserId() {
        return userId;
    }

    public void setUserId(UserID userId) {
        this.userId = userId;
    }

    public Password getPassword() {
        return password;
    }

    public void setPassword(Password password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
